Subject: Re: bug#69246: 30.0.50; persistent key input delay after using vc commands in pgtk

From: Po Lu <[email-masked]>
Date: Thu, 22 Feb 2024 16:51:28 +0800

Eli Zaretskii <[email-masked]> writes:

> Thanks, but it seems like something was left out of this description:
> you started by saying that Emacs _responds_ to keyboard input in some
> unexpected way, but here you are talking about how Emacs _receives_
> keyboard input, and say nothing about how we _respond_ to it.  Why
> would GTK care how Emacs _receives_ input if we don't tell it back
> something about that input?

I meant that the GTK toolkit communicates with the input method upon
receiving a key event, and the details of this communication vary by
whether the program using the toolkit registers for key events or for
text.  Because most GTK programs that expect text input take the latter
approach, it's not altogether surprising that recent input methods,
being designed for the same, come into conflict with Emacs's
unconventional behavior.